import Model from '@tripian/model';
export interface DataModel {
    initialised: boolean;
    hasError: boolean;
    errors: any[];
    logs: any[];
    configList?: Model.ConfigList;
    cities?: Model.City[];
    feedbacks?: Model.Feedbacks;
    userFeedbacks?: Model.UserFeedback[];
    poiCategories: Model.PoiCategory[] | undefined;
    pois: Model.Poi[];
    questions: Model.Question[];
    questionsTrip: Model.Question[];
    questionsProfile: Model.Question[];
    questionsCompanion: Model.Question[];
    topTens: {
        cityId: number;
        topTen: Model.TopTen[];
    }[];
    user?: Model.User;
    favorites: {
        cityId: number;
        favoritePois: Model.Favorite[];
    }[];
    companions?: Model.Companion[];
    reservations: {
        cityId: number;
        userReservations: Model.UserReservation[];
    }[];
    userReactions: {
        tripHash: string;
        userReactions: Model.UserReaction[];
    }[];
    tripRefs?: Model.TripReference[];
    tripSavedRefs?: Model.TripReference[];
    trips: Model.Trip[];
    trip?: Model.Trip;
    poisAll: {
        cityId: number;
        categoryGroup: Model.POI_CATEGORY_GROUP;
        pois: Model.DataPayload<Model.Poi[]>;
    }[];
}
